> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List related Change Events for an Incident

`GET https://api.pagerduty.com/incidents/{id}/related_change_events`

List related Change Events for an Incident, as well as the reason these changes are correlated with the incident.

Change events represent service changes such as deploys, build completion, and configuration changes, providing information that is critical during incident triage or hypercare. For more information on change events, see [Change Events](https://support.pagerduty.com/docs/change-events).

The Change Correlation feature provides incident responders with recent change events that are most relevant to that incident. Change Correlation informs the responder why a particular change event was surfaced and correlated to an incident based on three key factors which include time, related service, or intelligence (machine learning).

Scoped OAuth requires: `incidents.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The array of Change Events returned by the query.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `change_events` | array of object |  |  |
| `change_events[].id` | string |  | Read-only. |
| `change_events[].summary` | string |  | A brief text summary of the event. Displayed in PagerDuty to provide information about the change. The maximum permitted length of this property is 1024 characters. |
| `change_events[].type` | string |  | The type of object being created. Read-only. One of: `change_event`. Default: `change_event`. |
| `change_events[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_events[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_events[].timestamp` | string (date-time) |  | The time at which the emitting tool detected or generated the event. Read-only. |
| `change_events[].services` | array of object |  | An array containing Service objects that this change event is associated with. Read-only. |
| `change_events[].services[].id` | string | yes | Read-only. |
| `change_events[].services[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `change_events[].services[].type` | string | yes | One of: `service_reference`. |
| `change_events[].services[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_events[].services[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_events[].integration` | object |  |  |
| `change_events[].integration.id` | string | yes | Read-only. |
| `change_events[].integration.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `change_events[].integration.type` | string | yes | One of: `aws_cloudwatch_inbound_integration_reference`, `cloudkick_inbound_integration_reference`, `event_transformer_api_inbound_integration_reference`, `generic_email_inbound_integration_reference`, `generic_events_api_inbound_integration_reference`, `keynote_inbound_integration_reference`, `nagios_inbound_integration_reference`, `pingdom_inbound_integration_reference`, `sql_monitor_inbound_integration_reference`, `events_api_v2_inbound_integration_reference`, `inbound_integration_reference`. |
| `change_events[].integration.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `change_events[].integration.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `change_events[].routing_key` | string |  | This is the 32 character Integration Key for an Integration on a Service. The same Integration Key can be used for both alert and change events. Read-only. |
| `change_events[].source` | string |  | The unique name of the location where the Change Event occurred. Read-only. |
| `change_events[].links` | array of object |  | List of links to include. Read-only. |
| `change_events[].links[].href` | string |  |  |
| `change_events[].links[].text` | string |  |  |
| `change_events[].images` | array of object |  | Read-only. |
| `change_events[].images[].src` | string |  |  |
| `change_events[].images[].href` | string |  |  |
| `change_events[].images[].alt` | string |  |  |
| `change_events[].custom_details` | object |  | Additional details about the change event. |
| `change_events[].correlation_reason` | object |  |  |
| `change_events[].correlation_reason.reason` | string |  | The reason a change event was determined to be related to the given incident. Read-only. One of: `most_recent`, `related_service`, `intelligent`. |

Example: Response Example

```json
{
  "change_events": [
    {
      "summary": "Build Success - Increase snapshot create timeout to 30 seconds",
      "id": "01BBYA6PEVW6A852BUO6QYUE7O",
      "timestamp": "2020-07-17T08:42:58Z",
      "type": "change_event",
      "source": "acme-build-pipeline-tool-default-i-9999",
      "integration": {
        "id": "PEYSGVF",
        "type": "inbound_integration_reference"
      },
      "services": [
        {
          "id": "PEYSGRV",
          "type": "service_reference"
        }
      ],
      "custom_details": {
        "build_state": "passed",
        "build_number": "2",
        "run_time": "1236s"
      },
      "links": [
        {
          "href": "https://acme.pagerduty.dev/build/2",
          "text": "View more details in Acme!"
        }
      ],
      "correlation_reason": {
        "reason": "most_recent"
      }
    },
    {
      "summary": "Build Success - Increase snapshot create timeout to 15 seconds",
      "id": "01BBYA6PDIXPL8KO1HPIUL9CZN",
      "timestamp": "2020-07-17T07:42:58Z",
      "type": "change_event",
      "source": "acme-build-pipeline-tool-default-i-9999",
      "integration": {
        "id": "PEYSGVF",
        "type": "inbound_integration_reference"
      },
      "services": [
        {
          "id": "PEYSGRV",
          "type": "service_reference"
        }
      ],
      "custom_details": {
        "build_state": "passed",
        "build_number": "1",
        "run_time": "1233s"
      },
      "links": [
        {
          "href": "https://acme.pagerduty.dev/build/1",
          "text": "View more details in Acme!"
        }
      ],
      "correlation_reason": {
        "reason": "related_service"
      }
    }
  ],
  "limit": null,
  "offset": null,
  "total": null,
  "more": false
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
